Update Directory
Sandbox is coming soon
Today, requests on this page run against your live account. A hosted sandbox with simulated PSTN is on the roadmap — until then, use a non-production user or callflow when experimenting.
Authorization
AuthToken X-Auth-Token<token>
Obtain via PUT /v2/user_auth (user credentials) or PUT /v2/api_auth (account API key). See Authentication.
In: header
Path Parameters
account_id*string
Vinix account identifier.
directory_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/accounts/string/directories/string" \ -H "Content-Type: application/json" \ -d '{ "data": { "name": "string" } }'{
"data": {
"confirm_match": true,
"flags": [
"string"
],
"max_dtmf": 0,
"min_dtmf": 3,
"name": "string",
"search_fields": "first_name",
"sort_by": "first_name",
"users": []
}
}{
"code": "string",
"message": "string",
"request_id": "string"
}{
"code": "string",
"message": "string",
"request_id": "string"
}{
"code": "string",
"message": "string",
"request_id": "string"
}
